3.5.0 error: Fatal error: Class 'ComposerAutoloaderInit


(Bernd W. Hennig) #1

G’Day,

gerade auf 3.5.0 geupdated und einen Fehler in der autoload.php - wo muss ich dieses “ComposerAutoloaderInit4bfebac0ead3639e830ed8e6b4bd5a2a” denn sonst noch reinpacken (sorry, ich bin kein Programmierer und stehe auch mit PHP auf Kriegsfuss).

DANKE


(Lukas Winkler) #2

Hallo,

Ich gehe davon aus, dass du Matomo nicht über git und mithilfe von composer installiert hast…

Das klingt so als wäre eine Datei nicht da oder beschädigt. Am einfachsten ist es vermutlich alle Dateien mit der aus der aktuellsten ZIP zu ersetzen.

https://matomo.org/docs/update/#the-manual-three-step-update


(Bernd W. Hennig) #3

G’Day,

…ich habe den Update-Button geklickt, nicht mehr … (sich). Aber auch ein “Drüberinstallieren” bringt wieder nur einen weissen Schirm (weil die Fehlerbehandlung fehlt).

Daran liegt es also NICHT

Cu